# Generated from mesa_reader-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mesa_reader

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: MesaReader - a module containing classes for storing MESA data output
License: MIT
URL: https://wmwolf.github.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
MesaReader is a ruby module that contains three classes, MesaData,
MesaProfileIndex, and MesaLogDir. These classes are intended to read in
three types of files or directories, MESA history/profile logs, MESA 
profile indexes, and entire MESA LOGS directories, respectively. The
resulting objects can then be maniuplated to return useful data in a ruby
or tioga script.
In addition to simple returning of data columns (the primary function of 
the MesaData class), some basic searching features are built-in, allowing 
you to search for profiles that correspond to something in the history, or
for parts of history columns that depend on other history columns. All
returned vectors have many built-in methods since they are DVectors from
the DObjects module in Tioga, which is a requirement.
For detailed instructions, see the readme on the github page at 
https://github.com/wmwolf/MESA_Reader.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.0-1
- Initial package
